FreeMat

- Main Page
- Related Pages

vtkPolyDataCollection

Section: Visualization Toolkit Filtering Classes

# Usage

vtkPolyDataCollection is an object that creates and manipulates lists of datasets of type vtkPolyData.

To create an instance of class vtkPolyDataCollection, simply invoke its constructor as follows

      obj = vtkPolyDataCollection

# Methods

The class vtkPolyDataCollection has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPolyDataCollection class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkPolyDataCollection = obj.NewInstance ()`
- `vtkPolyDataCollection = obj.SafeDownCast (vtkObject o)`
- `obj.AddItem (vtkPolyData pd)` - Get the next poly data in the list.
- `vtkPolyData = obj.GetNextItem ()` - Get the next poly data in the list.